- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Compiler2Pass::TokenState Struct Reference

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Attributes
TokenInstContainer | tokenQue
LexemeTokenDefContainer | lexemeTokenDefinitions
TokenRuleContainer | rootRulePath
LexemeTokenMap | lexemeTokenMap

## Detailed Description

Definition at line 250 of file OgreCompiler2Pass.h.

## Member Data Documentation

TokenInstContainer Ogre::Compiler2Pass::TokenState::tokenQue

Definition at line 252 of file OgreCompiler2Pass.h.

LexemeTokenDefContainer Ogre::Compiler2Pass::TokenState::lexemeTokenDefinitions

Definition at line 253 of file OgreCompiler2Pass.h.

TokenRuleContainer Ogre::Compiler2Pass::TokenState::rootRulePath

Definition at line 254 of file OgreCompiler2Pass.h.

LexemeTokenMap Ogre::Compiler2Pass::TokenState::lexemeTokenMap

Definition at line 255 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:22 2008